# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    minidvassembler
%define version 0.96
%define release 1.2007mcnl
%define summary MiniDV Assembler
%define section Multimedia/Video
%define title   MiniDV Assembler

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://kde-apps.org/content/show.php?content=23627
License:        GPL
Group:          Video

BuildArch:  	noarch

Source0:        23627-MiniDVAssembler-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander sox ImageMagick smilutils


%description
This application is particularly useful for owners of digital MiniDV 
camera's and others who use the Sony MiniDV format for high quality 
video production.

'MiniDV Assembler' allows you to append multiple MiniDV files with
nice looking transition effects for both audio and video. Multiple
transition effects are supported, like cross-fade, zoom, blur and
a flash effect.

I created MiniDV Assembler because there are no easy to use video
editing applications for Linux yet. Yes, Kino is promising, but its
user interface is still a mess and development is slow.

MiniDV Assembler only touches the head and tail parts of the original
video files that are needed to create the transition effects. The
rest of the video is left untouched, which means zero quality loss.


%prep
rm -rf %{buildroot}
%setup -q -n MiniDVAssembler-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/MiniDV\ Assembler.kmdr
exit 0
EOF

mkdir -p %{buildroot}/%{_datadir}/apps/%{name}
%__cp MiniDV\ Assembler.kmdr %{buildroot}/%{_datadir}/apps/%{name}/
%__cp MiniDV\ Assembler.sh %{buildroot}/%{_datadir}/apps/%{name}/


# Old Menu 2006
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%{name}" \
needs="X11" \
icon="video_section.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

# New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{summary}
Exec=%{name}
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog
%attr(755,root,root)%{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_menudir}/%{name}
%attr(755,root,root) %{_datadir}/apps/%{name}/*


%changelog 

*Sun Nov 19 2006 Marco Meijer <marco@mandrivaclub.nl> 0.96-1.2007mcnl
first mandrivaclub.nl version



